﻿using FreeSql.DataAnnotations;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using ZhonTai.Admin.Core.Entities;

namespace ZhonTai.Admin.Domain.Notice
{
    /// <summary>
    /// 公告
    /// </summary>
    [Table(Name = "ditui_notice")]    
    public partial class NoticeEntity : EntityTenant {
        /// <summary>
        /// 公告标题
        /// </summary>
        public string Title { get; set; }
        /// <summary>
        /// 内容
        /// </summary>
        [Column(DbType ="text")]
        public string Content { get; set; }
        /// <summary>
        /// 排序 越大越靠前
        /// </summary>        
        public int Rank { get; set; }
        /// <summary>
        /// 是否首页弹窗 1弹窗(只有一个) 0不弹窗
        /// </summary>
        public int IsAlter { get; set; } = 0;
        /// <summary>
        /// 标签
        /// </summary>
        public string Tags { get; set; }
    }
}
