﻿using ZhonTai.Admin.Core.Entities;
using FreeSql.DataAnnotations;

namespace ZhonTai.Admin.Domain.Platform
{
    /// <summary>
    /// 平台用户
    /// </summary>
    [Table(Name = "ditui_platform_user")]
    public class PlatformUserEntity : EntityTenant
    {
        /// <summary>
        /// 用户名
        /// </summary>
        public string Name { get; set; }
        /// <summary>
        /// 手机号
        /// </summary>
        public string Phone { get; set; }
        /// <summary>
        /// 密码
        /// </summary>
        public string Password { get; set; }

        /// <summary>
        /// 用户微信号
        /// </summary>
        public string WechatAccount { get; set; }

        /// <summary>
        /// 上级
        /// </summary>
        public string ParentId { get; set; }

        ///// <summary>
        ///// 省
        ///// </summary>
        //public string Province { get; set; }

        ///// <summary>
        ///// 市
        ///// </summary>
        //public string City { get; set; }

        /// <summary>
        /// 备注
        /// </summary>
        public string Remark { get; set; }

        /// <summary>
        /// 角色 
        /// 通过后台开通的是平台管理员2  注册是下级20
        /// </summary>
        public string Role { get; set; }

        /// <summary>
        /// 邀请码
        /// </summary>
        public string InviteCode { get; set; }


        /// 通过手机号和上级ID 来判断唯一（一个手机号可注册多个不同上级的账号）
    }
}
