﻿using FreeSql.DataAnnotations;
using ZhonTai.Admin.Core.Entities;

namespace ZhonTai.Admin.Domain.Project
{
    /// <summary>
    /// 拉新项目
    /// </summary>
    [Table(Name = "ditui_project")]
    public class ProjectEntity : EntityTenant
    {
        /// <summary>
        /// 项目名称
        /// </summary>
        [Column(StringLength = 50)]
        public string Name { get; set; }
        /// <summary>
        /// 项目图标
        /// </summary>
        [Column(StringLength = 500)]
        public string Logo { get; set; }
        /// <summary>
        /// 项目简介
        /// </summary>
        [Column(StringLength = 200)]
        public string Tips { get; set; }
        /// <summary>
        /// 最高佣金
        /// </summary>
        [Column(DbType = " decimal(18,2)")]
        public decimal MaxPrice { get; set; }
        /// <summary>
        /// 结算周期
        /// </summary>
        public int SettleDay { get; set; }        
        /// <summary>
        /// 视频教程
        /// </summary>
        public string VideoUrl { get; set; }
        /// <summary>
        /// 状态 1待上架 2上架 3下架 4暂停 5名额已满
        /// </summary>
        public int Status { get; set; }
        /// <summary>
        /// 详情
        /// </summary>
        [Column(DbType = " text")]
        public string Detail { get; set; }
        /// <summary>
        /// 作业要求
        /// </summary>
        public string Works { get; set; }
        /// <summary>
        /// 热词 多个词英文逗号分割,
        /// </summary>
        public string HotWords { get; set; }
    }
}
