﻿using FreeSql.DataAnnotations;
using NPOI.SS.Formula.PTG;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using ZhonTai.Admin.Core.Entities;

namespace ZhonTai.Admin.Domain.ProjectAndTenant
{

    /// <summary>
    /// 平台项目价格
    /// </summary>
    [Table(Name = "ditui_tenant_project_price")]
    [Index("idx_{tablename}_01", nameof(TenantId) + "," + nameof(ProjectId), true)]
    public partial class ProjectAndTenantEntity : EntityTenant {
        public long ProjectId { get; set; }
        public long ProjectPriceId { get; set; }
        public int DrawPriceWay { get; set; }
        public decimal DrawRatio { get; set; }
        public decimal DrawPrice { get; set; }
        /// <summary>
        /// 生效时间
        /// </summary>
        public DateTime EffectDate { get; set; }
        /// <summary>
        /// 1整体抽成 2项目抽成 3租户抽成
        /// </summary>
        public int SetType { get; set; }
    }    
}
