﻿using FreeSql.DataAnnotations;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Xml.Linq;
using ZhonTai.Admin.Core.Entities;

namespace ZhonTai.Admin.Domain.ProjectLink
{
    /// <summary>
    /// 推广码
    /// </summary>
    [Table(Name = "duitui_project_link")]
    //[Index("idx_{tablename}_01", nameof(Num), true)]
    public partial class ProjectLinkEntity : EntityTenant
    {
        /// <summary>
        /// 项目Id
        /// </summary>
        public long ProjectId { get; set; }
        /// <summary>
        /// 公司
        /// </summary>
        public string Company { get; set; }
        /// <summary>
        /// 二维码类型
        /// </summary>
        public string QrcodeType { get; set; }
        /// <summary>
        /// 编号
        /// </summary>
        public string Num { get; set; }
        /// <summary>
        /// 短链
        /// </summary>
        public string ShortUrl { get; set; }
        /// <summary>
        /// 二维码链接
        /// </summary>
        public string QrcodeUrl { get; set; }
        /// <summary>
        /// 推广口令
        /// </summary>
        public string ShareCommand { get; set; }
        /// <summary>
        /// 是否使用 1使用
        /// </summary>
        public int IsUse { get; set; }
        /// <summary>
        /// 使用时间
        /// </summary>
        public DateTime? UseTime { get; set; }
        /// <summary>
        /// 业务员姓名
        /// </summary>
        public string Salesman { get; set; }
        /// <summary>
        /// 业务员手机号
        /// </summary>
        public string SalesmanPhone { get; set; }
        /// <summary>
        /// 业务员省
        /// </summary>
        public string SalesmanProvince { get; set; }
        /// <summary>
        /// 业务员市
        /// </summary>
        public string SalesmanCity { get; set; }
        /// <summary>
        /// 业务员备注
        /// </summary>
        public string SalesmanRemark { get; set; }
        /// <summary>
        /// 查单链接
        /// </summary>
        public string QueryUrl { get; set; }

    }
}
