﻿using Microsoft.AspNetCore.Http;
using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ZhonTai.Admin.Services.DiTuiAPI.Dto
{
    public class IndexOutput
    {
        public IndexOutput(long id,string name )
        {
            Id = id;
            Name = name;
        }
        public long Id { get; set; }
        /// <summary>
        /// 平台名称
        /// </summary>
        public string Name { get; set; }

        /// <summary>
        /// 滚动提示
        /// </summary>
        public string Tips { get; set; }

        /// <summary>
        /// 轮播图
        /// </summary>
        public List<Imgs> Imgs { get; set; }

        /// <summary>
        /// 公告
        /// </summary>
        public List<Notices> Notices { get; set; }

        /// <summary>
        /// 结算记录
        /// </summary>
        public List<Settlement> settlement { get; set; }
    }

    public class Settlement
    {
        public Settlement(string name, string settleTime)
        {
            Name = name;
            SettleTime = settleTime;
        }

        /// <summary>
        /// 项目名称
        /// </summary>
        public string Name { get; set; }
        /// <summary>
        /// 结算时间
        /// </summary>

        public string SettleTime { get; set; }
    }

    /// <summary>
    /// 轮播图
    /// </summary>
    public class Imgs
    {
        public Imgs(string imgUrl, string jumpType, string jumpParam, string workTime, string failureTime, string sort)
        {
            ImgUrl = imgUrl;
            JumpType = jumpType;
            JumpParam = jumpParam;
            WorkTime = workTime;
            FailureTime = failureTime;
            Sort = sort;
        }

        /// <summary>
        /// 图片URL
        /// </summary>
        public string ImgUrl { get; set; }

        /// <summary>
        /// 跳转类型1文章 2 项目
        /// </summary>
        public string JumpType { get; set; }

        /// <summary>
        /// 跳转参数
        /// </summary>
        public string JumpParam { get; set; }

        /// <summary>
        /// 生效时间
        /// </summary>
        public string WorkTime { get; set; }

        /// <summary>
        /// 失效时间
        /// </summary>
        public string FailureTime { get; set; }

        /// <summary>
        /// 排序
        /// </summary>
        public string Sort { get; set; }

    }

    /// <summary>
    ///  公告
    /// </summary>
    public class Notices
    {
        public Notices()
        {

        }
        public Notices(string tags, string title, string id)
        {
            Tags = tags;
            Title = title;
            Id = id;
        }
        /// <summary>
        ///  标签
        /// </summary>
        public string Tags { get; set; }

        /// <summary>
        /// 标题
        /// </summary>
        public string Title { get; set; }

        /// <summary>
        ///  ID 
        /// </summary>
        public string Id { get; set; }
    }


    public class ProjectOutput
    {
        public string Count { get; set; }
        public List<ProjectOutPut> Projects { get; set; }
    }

    public class ProjectOutPut
    {
        public ProjectOutPut()
        {

        }
        public ProjectOutPut(long id,string name, string logo, string tips,string hotWords,string statusWords,string statusValue)
        {
            Id = id;
            Name = name;
            Logo = logo;
            Tips = tips;
            HotWords = hotWords;
            StatusWords = statusWords;
            StatusValue = statusValue;
        }

        public long Id { get; set; }
        public string Name { get; set; }
        public string Logo { get; set; }
        public string Tips { get; set; }
        public string HotWords { get; set; }
        public string StatusWords { get; set; }
        public string StatusValue { get; set; }

    }

}
